Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.io.formatter
Class JPICGroupFormatter

    java.lang.Object
      jpicedt.graphic.io.formatter.JPICGroupFormatter

All Implemented Interfaces:
  Formatter, JPICConstants

public class JPICGroupFormatter
extends Object
implements Formatter, JPICConstants

A JPIC-XML formatter for PicGroup objects.
Syntax : ... .

Since:
  jpicedt 1.3.3
Version:
  $Id: JPICGroupFormatter.java,v 1.4.2.1 2007/09/02 11:56:19 reynal Exp $
Author:
  Sylvain Reynal

Field Summary

Fields inherited from interface jpicedt.graphic.io.formatter.JPICConstants
`CR_LF, CR_LF_TAB`

Constructor Summary
`JPICGroupFormatter(PicGroup group, FormatterFactory factory)`

Method Summary
`String` | `format()` Create a String representing an Element in the format of this formatter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JPICGroupFormatter

    public JPICGroupFormatter(PicGroup group,
                              FormatterFactory factory)

Parameters:
  `factory` - the factory that produced this formatter

Method Detail

### format

    public String format()

  Description copied from interface: `Formatter`
  Create a String representing an Element in the format of this formatter

  Specified by:
    `format` in interface `Formatter`
  Returns:
    a String representing this Element in the JPIC-XML format.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org